Subject: [bug#65662] [PATCH] gnu: Add antifennel.

From: Rémi Teissier <[email-masked]>
Date: Wed, 1 Nov 2023 16:09:09 +0100

Hello !
Sorry for the delay (too). Writing guix packages and the git email flow 
is pretty new to me ^^'

I did my best to fix my patch.
>> +              (file-name (git-file-name name version))))
>> +    (build-system gnu-build-system)
>> +    (inputs (list lua luajit))
>> +    (arguments
>> +     '(#:phases (modify-phases %standard-phases
>> +                  (delete 'configure)
>> +                  (delete 'check)
> Are tests disabled because there are no tests or because there are not
> passing. If we are in the first case you can specify it with a simple
> comment such as ;no tests.

Tests are pretty messy in this project, they work on the `main` branch 
but not in the `2.0.0`. I don't really know what to add about it in comment.

>> +                  (replace 'install
>> +                    (lambda* (#:key outputs #:allow-other-keys)
>> +                      (let ((bin (string-append (assoc-ref outputs "out")
>> +                                                "/bin")))
> The preferred way now is to use gexp, meaning that you can directly
> write:
>
> (install-file "antifennel" #$output)
Let me know if I did it right, I tried to adapt grepped example in the 
project.

I kinda rushed it at my first try. I hope it is good enough now :)

Rémi Teissier

Le 26/10/2023 à 15:04, Mathieu Othacehe a écrit :
> Hello,
>
> Sorry for the delay!
>
>>   From c546257438e4e824ddf54351b77a754d2f466567 Mon Sep 17 00:00:00 2001
>> From: =?UTF-8?q?R=C3=A9mi=20Teissier?=<[email-masked]>
>> Date: Thu, 31 Aug 2023 15:17:28 +0200
>> Subject: [PATCH] gnu: Add antifennel.
>>
> You are missing a commit message here. It should look like:
>
> * gnu/packages/lua.scm (antifennel): New package.
>
>> +               (base32
>> + "1hd9h17q31b3gg88c657zq4han4air2ag55rrakbmcpy6n8acsqc"))
> The indentation seems off here.
>
>> +              (file-name (git-file-name name version))))
>> +    (build-system gnu-build-system)
>> +    (inputs (list lua luajit))
>> +    (arguments
>> +     '(#:phases (modify-phases %standard-phases
>> +                  (delete 'configure)
>> +                  (delete 'check)
> Are tests disabled because there are no tests or because there are not
> passing. If we are in the first case you can specify it with a simple
> comment such as ;no tests.
>
>> +                  (replace 'install
>> +                    (lambda* (#:key outputs #:allow-other-keys)
>> +                      (let ((bin (string-append (assoc-ref outputs "out")
>> +                                                "/bin")))
> The preferred way now is to use gexp, meaning that you can directly
> write:
>
> (install-file "antifennel" #$output)
>
>> +    (home-page"https://git.sr.ht/~technomancy/antifennel")
>> +    (synopsis "Turn Lua code into Fennel code")
>> +    (description
>> +     "Turn Lua code into Fennel code. This compiler does the opposite
>> +     of what the Fennel compiler does.")
> It would be nice to expand a bit the description and use sentences, such
> as: This package provides a way to turn Lua code into Fennel code by...
>
>> +    (license (list license:expat))))
> You don't need a list if there is just one license :)
>
> Could you please send an updated patch?
>
> Don't hesitate if you need some guidance!
>
> Mathieu